System.Core 4.0.0.0 System.Security.Cryptography.Aes To be added.

Performs symmetric encryption and decryption using the Cryptographic Application Programming Interfaces (CAPI) implementation of the Advanced Encryption Standard (AES) algorithm.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform To be added.

  Creates a symmetric AES decryptor object using the current key and initialization vector (IV).

  A symmetric AES decryptor object.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` `` To be added. To be added. To be added.

  Creates a symmetric AES decryptor object using the specified key and initialization vector (IV).

  A symmetric AES decryptor object.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform To be added.

  Creates a symmetric AES encryptor object using the current key and initialization vector (IV).

  A symmetric AES encryptor object.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` `` To be added. To be added.

  See the code examples in the and properties to determine the size of the and parameters.

  Creates a symmetric encryptor object using the specified key and initialization vector (IV).

  A symmetric AES encryptor object.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added.

  Generates a random initialization vector (IV) to use for the algorithm.

- Method
  4.0.0.0
  System.Void To be added.

  Generates a random key to use for the algorithm.

- Property
  4.0.0.0
  System.Byte[] To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Byte[] To be added. To be added.

  Gets or sets the symmetric key that is used for encryption and decryption.

- Property
  4.0.0.0
  System.Int32 To be added.

  The minimum size of the key is 128 bits, and the maximum size is 256 bits.

  Gets or sets the size, in bits, of the secret key.

- Property
  4.0.0.0
  System.Security.Cryptography.CipherMode To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Security.Cryptography.PaddingMode To be added. To be added. To be added.